#!/bin/sh

regenerate_menus(){
    if ! [ -x "/usr/share/e16/scripts/e_gen_menu" ] ; then
        return
    fi

    # ignore in live mode
    #if grep -qs "boot=live" /proc/cmdline ; then
        #return
    #fi

    # make sure we are not already running it
    #for wait in $(seq 60)
    #do
        #if ! ps ux | grep -v "grep " | grep -qs "bin/perl.*scripts/e_gen_menu" ; then
            #break 1
        #fi
        #sleep 1
    #done
    if ps ux | grep -v "grep " | grep -qs "bin/perl.*scripts/e_gen_menu" ; then
        return
    fi

    # regenerate menus
    /usr/share/e16/scripts/e_gen_menu

    # notify user that the menu has been created (only if the sound theme is enabled)
    eesh -e menus reload
    eesh sound play SOUND_MENU_SHOW
}

regenerate_menus &

